From: Nishi <nishi@nishi.boats>
Date: Thu, 3 Oct 2024 21:15:19 +0000 (+0000)
Subject: fix installer.sh
X-Git-Url: http://10.11.0.4:5575/?a=commitdiff_plain;h=3cf9b823e962ea3d32ebaa30fd229da84a8ffea9;p=tewi.git

fix installer.sh

git-svn-id: file:///raid/svn-personal/tewi/trunk@251 8739d7e6-ffea-ec47-b151-bdff447c6205
---

diff --git a/Makefile b/Makefile
index 88cc56a..c443b08 100644
--- a/Makefile
+++ b/Makefile
@@ -34,7 +34,7 @@ all: ./Server $(MODULE)
 	$(MAKE) -C $@ $(FLAGS)
 
 ./README: ./README.tmpl ./Server/tw_version.h
-	sed "s/@VERSION@/`grep "define TW_VERSION" Server/tw_version.h | grep -Eo '"[^\]+' | sed 's/^"//g'`/g" ./README.tmpl > $@
+	sed "s/@VERSION@/`grep "define TW_VERSION" Server/tw_version.h | grep -Eom 1 '"[^\]+' | sed 's/^"//g'`/g" ./README.tmpl > $@
 
 install: all ./Tool/genconf ./Tool/itworks
 	mkdir -p $(DESTDIR)$(PREFIX)/bin $(DESTDIR)$(PREFIX)/lib/tewi $(DESTDIR)$(PREFIX)/etc $(DESTDIR)$(PREFIX)/www
@@ -48,7 +48,7 @@ format:
 	clang-format --verbose -i `find ./Server ./Common ./Module ./Tool "(" -name "*.c" -or -name "*.h" ")" -and -not -name "strptime.*"` config.h
 
 get-version:
-	@grep "define TW_VERSION" Server/tw_version.h | grep -Eo '"[^\]+' | sed 's/^"//g'
+	@grep "define TW_VERSION" Server/tw_version.h | grep -Eom 1 '"[^\]+' | sed 's/^"//g'
 
 clean:
 	$(MAKE) -C ./Server $(FLAGS) clean
diff --git a/installer.sh b/installer.sh
index f2a840b..bd8121d 100755
--- a/installer.sh
+++ b/installer.sh
@@ -30,7 +30,7 @@ cp Server/tewi.exe tewi-service.exe
 cd Server
 ../Tool/genconf "C:/Tewi" modules dll > ../generated.conf
 ../Tool/itworks > ../itworks.html
-makensis -DVERSION=$VERSION install.nsi
+makensis -DVERSION=$VERSION install.nsi || fail
 cp install.exe ../install-nossl.exe
 rm -f tewi.exe tewi-service.exe
 cd ..
@@ -46,7 +46,7 @@ cp Server/tewi.exe tewi-service.exe
 cd Server
 ../Tool/genconf "C:/Tewi" modules dll > ../generated.conf
 ../Tool/itworks > ../itworks.html
-makensis -DVERSION=$VERSION install.nsi
+makensis -DVERSION=$VERSION install.nsi || fail
 cp install.exe ../install-ssl.exe
 rm -f tewi.exe tewi-service.exe
 cd ..